package com.platform.service.thread;

import com.base.Custom4exception;
import com.base.CustomException;
import com.platform.form.oracleForm;
import com.platform.service.IOracleExtractService;

/** oracle汇总库抽取
 * @author chen
 *
 */
public class ThreadExtractOracle extends Thread {
	
	private IOracleExtractService OracleExtract;
	
	private oracleForm form;
	
	/** oracle汇总库抽取
	 * @param form
	 * @param OracleExtract
	 */
	public ThreadExtractOracle(oracleForm form, IOracleExtractService OracleExtract) {
		this.OracleExtract = OracleExtract;
		this.form = form;
	}
	
	@Override
	public void run() {
		try {
			OracleExtract.extractOracle(form.getName(), form.getInneed(),form.getTarget());
		} catch (Exception e) {
			new CustomException(Custom4exception.threadVolume_Oracle_Except,e,form,OracleExtract);
		}
	}

}
